<div class="p-d-flex p-jc-center">
    <div class="p-mt-5">
        <p-card header="Iniciar sesión" [style]="{ width: '360px' }" styleClass="p-card-shadow">
            <ng-template pTemplate="header">
                <img alt="Card" src="assets/showcase/images/usercard.png" />
            </ng-template>
            <form [formGroup]="myForm" (ngSubmit)="(login)">
                <div class="p-inputgroup p-mb-2">
                    <input type="text" pInputText placeholder="Correo" formControlName="email" />
                    <span class="p-inputgroup-addon"><i class="pi pi-briefcase"></i></span>
                </div>
                <div class="p-inputgroup p-mb-3">
                    <input type="password" pInputText placeholder="Contraseña" formControlName="password" />
                    <span class="p-inputgroup-addon"><i class="pi pi-lock"></i></span>
                </div>
                <div class="p-d-flex p-jc-center">
                    <button *ngIf="!loading" [disabled]="myForm.invalid" pButton type="submit" (click)="login()"
                        label="Continuar" icon="pi pi-sign-in"></button>
                    <button *ngIf="loading" [disabled]="myForm.invalid" pButton type="button" label="Please wit"
                        icon="pi pi-spin pi-spinner"></button>
                </div>
            </form>
            <p-divider align="center" type="dashed">
                <b>¿Eres nuevo en BookSale?</b>
            </p-divider>
            <ng-template pTemplate="footer">
                <div class="p-d-flex p-ai-center p-jc-center">
                    <p-button routerLink="/auth/register" label="Crea una cuenta en BookSale" icon="pi pi-user-plus"
                        styleClass="p-button-success"></p-button>
                </div>
            </ng-template>
        </p-card>
    </div>
</div>

<p-dialog header="Error en el login" [(visible)]="display">
    <p>
        {{ error }}
    </p>
    <ng-template pTemplate="footer">
        <p-button icon="pi pi-check" (click)="display = false" label="Ok" styleClass="p-button-text"></p-button>
    </ng-template>
</p-dialog>